Subject: Re: python 2.0, cygwin & readline - undefined symbols
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: Jason Tishler <[email-masked]>
Date: Tue, 13 Mar 2001 16:37:22 +0100

<2001-03-13 9:55 Uhr, hat Jason Tishler geschrieben:>
< Re: python 2.0, cygwin & readline - >

Jason,

excuse me for sending you PM, but my last mail an hour ago seemed not
to arrive the list.

> The following is my output for fpectl:
> 
> building 'fpectl' extension
> gcc -g -O2 -Wall -Wstrict-prototypes -DUSE_DL_IMPORT -I. -I/home/jt/src/PythonCvs/./Include -IInclude/ -I/usr/local/include -c /home/jt/src/PythonCvs/Modules/fpectlmodule.c -o build/temp.cygwin_nt-4.0-1.3.0-i686-2.1/fpectlmodule.o
> gcc -shared -Wl,--enable-auto-image-base build/temp.cygwin_nt-4.0-1.3.0-i686-2.1/fpectlmodule.o -L. -L/usr/local/lib -lpython2.1 -o build/lib.cygwin_nt-4.0-1.3.0-i686-2.1/fpectl.dll
> 
> If you manually build as above, does this (temporarily) workaround
> your problem?

Yes, i did so, but my mail got lost it seems.

Here again my lost lines. (Still some flags are wrong, but it builds.):

Now i played around and i figured out, that -lpython2.1 is not recognized.

I changed it to /src/Python-2.1b1/libpython2.1.dll and it works.

administrator@ISMENE /src/Python-2.1b1
$ gcc -shared -Wl,--enable-auto-image-base build/temp.cygwin_nt-4.0-1.1.8-i586-
2.1/fpectlmodule.o -L. -L/usr/local/lib /src/Python-2.1b1/libpython2.1.dll -o 
build/lib.cygwin_nt-4.0-1.1.8-i586-2.1/fpectl.dll

administrator@ISMENE /src/Python-2.1b1
$

What should i say? I don't know why this is so (see -L.), but now i got my 
extensions, after building by hand.

Ciao,

Gerrit

-- 
[email-masked]
KeyID: 0xC8C9D69A = 57C8 1B1D CFE4 8515 AA3E  4499 A326 0F3C C8C9 D69A

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple